#ifndef __6DOF_
#define __6DOF_

// ACCELEROMETER
#define ADDR_ADXL345	0xA6 
#define ADXL345_POWER_CTL 0x00
#define A_TO_READ 6
#define ADXL345_DATAX0 0x00

#define ADXL345_DEVID 0x00
#define ADXL345_ID 0x00

extern void getAccelerometerData(int *);
extern void rawAccToG(int *, float);
extern  void InitAcc(void);
extern  unsigned char	GetWhoAmIAcc(void);

// GYRO
#define ADDR_ITG3200	0xD0

#define ITG3200_WHO_AM_I	0x00
#define  ITG3200_SMPLRT_DIV  0x15
#define  ITG3200_DLPF_FS  0x16
#define  ITG3200_INT_CFG 0x17
#define  ITG3200_INT_STATUS 0x17
#define  ITG3200_GYRO_XOUT   0x1D
#define  ITG3200_GYRO_YOUT   0x1F
#define  ITG3200_GYRO_ZOUT   0x21
#define  ITG3200_GYRO_DATA   0x1D
#define  ITG3200_PWR_MGM  0x3E



#define  ITG3200_ADDR_AD0_HUGH   0x00

extern void getGyroscopeData(int * );
extern void rawGyroToDegsec(int * , float *);
extern void InitGyro(void);
extern unsigned char GetWhoAmIGyro(void);
extern void Init6DOF();



#endif
